package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备对象 mall_device
 *
 * @author LCL
 * @date 2024-03-17
 */
public class MallDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备主键ID */
    private Long deviceId;

    /** 所属公司ID */
    @Excel(name = "所属公司ID")
    private Long companyId;

    /** 所属公司名 */
    @Excel(name = "所属公司名")
    private String companyName;

    /** 所属管理员ID */
    @Excel(name = "所属管理员ID")
    private Long userId;

    /** 所属管理员名 */
    @Excel(name = "所属管理员名")
    private String userName;

    /** 基站ID */
    @Excel(name = "基站ID")
    private Long baseStationId;

    /** 基站名 */
    @Excel(name = "基站名")
    private String baseStationName;

    /** 序列号 */
    @Excel(name = "序列号")
    private String serialNumber;

    /** 设备类型：0-无，1-报警主机，2-摄像头，3-弹箱，4-语音喇叭，5-电源 */
    @Excel(name = "设备类型：0-无，1-报警主机，2-摄像头，3-弹箱，4-语音喇叭，5-电源")
    private String deviceType;

    /** 设备状态：0-正常，1-故障 */
    @Excel(name = "设备状态：0-正常，1-故障")
    private String deviceStatus;

    /** 设备开关：0-开启，1-关闭 */
    @Excel(name = "设备开关：0-开启，1-关闭")
    private String deviceOpen;

    /** 设备布防：0-布防，1-撤防 */
    @Excel(name = "设备布防：0-布防，1-撤防")
    private String deviceDefence;

    /** 语音喇叭警报内容 */
    @Excel(name = "语音喇叭警报内容")
    private String hornContent;

    /** 弹箱使用：0-未使用，1-已使用 */
    @Excel(name = "弹箱使用：0-未使用，1-已使用")
    private String boxUse;

    /** 弹箱语音提示：0-不提示，1-提示 */
    @Excel(name = "弹箱语音提示：0-不提示，1-提示")
    private String boxVoice;

    /** 弹箱触发：0-不触发，1-触发 */
    @Excel(name = "弹箱触发：0-不触发，1-触发")
    private String boxTrigger;

    /** 电源工作情况 */
    @Excel(name = "电源工作情况")
    private String batteryWork;

    /** 电源目前使用类型：0-内部电池，1-外部电池48V，2-外部220V */
    @Excel(name = "电源目前使用类型：0-内部电池，1-外部电池48V，2-外部220V")
    private String batteryUseType;

    /** 电源目前使用 */
    @Excel(name = "电源目前使用")
    private String batteryUse;

    /** 省份ID */
    @Excel(name = "省份ID")
    private Long provinceId;

    /** 省份名 */
    @Excel(name = "省份名")
    private String provinceName;

    /** 城市ID */
    @Excel(name = "城市ID")
    private Long cityId;

    /** 城市名 */
    @Excel(name = "城市名")
    private String cityName;

    /** 区县ID */
    @Excel(name = "区县ID")
    private Long areaId;

    /** 区县名 */
    @Excel(name = "区县名")
    private String areaName;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 相关ID */
    @Excel(name = "相关ID")
    private String resId;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getCompanyName()
    {
        return companyName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setBaseStationId(Long baseStationId)
    {
        this.baseStationId = baseStationId;
    }

    public Long getBaseStationId()
    {
        return baseStationId;
    }
    public String getBaseStationName() {
        return baseStationName;
    }

    public void setBaseStationName(String baseStationName) {
        this.baseStationName = baseStationName;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public void setDeviceType(String deviceType)
    {
        this.deviceType = deviceType;
    }

    public String getDeviceType()
    {
        return deviceType;
    }
    public void setDeviceStatus(String deviceStatus)
    {
        this.deviceStatus = deviceStatus;
    }

    public String getDeviceStatus()
    {
        return deviceStatus;
    }
    public void setDeviceOpen(String deviceOpen)
    {
        this.deviceOpen = deviceOpen;
    }

    public String getDeviceOpen()
    {
        return deviceOpen;
    }
    public void setDeviceDefence(String deviceDefence)
    {
        this.deviceDefence = deviceDefence;
    }

    public String getDeviceDefence()
    {
        return deviceDefence;
    }
    public void setHornContent(String hornContent)
    {
        this.hornContent = hornContent;
    }

    public String getHornContent()
    {
        return hornContent;
    }
    public void setBoxUse(String boxUse)
    {
        this.boxUse = boxUse;
    }

    public String getBoxUse()
    {
        return boxUse;
    }
    public void setBoxVoice(String boxVoice)
    {
        this.boxVoice = boxVoice;
    }

    public String getBoxVoice()
    {
        return boxVoice;
    }
    public void setBoxTrigger(String boxTrigger)
    {
        this.boxTrigger = boxTrigger;
    }

    public String getBoxTrigger()
    {
        return boxTrigger;
    }
    public void setBatteryWork(String batteryWork)
    {
        this.batteryWork = batteryWork;
    }

    public String getBatteryWork()
    {
        return batteryWork;
    }
    public void setBatteryUseType(String batteryUseType)
    {
        this.batteryUseType = batteryUseType;
    }

    public String getBatteryUseType()
    {
        return batteryUseType;
    }
    public void setBatteryUse(String batteryUse)
    {
        this.batteryUse = batteryUse;
    }

    public String getBatteryUse()
    {
        return batteryUse;
    }
    public void setProvinceId(Long provinceId)
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId()
    {
        return provinceId;
    }
    public void setProvinceName(String provinceName)
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName()
    {
        return provinceName;
    }
    public void setCityId(Long cityId)
    {
        this.cityId = cityId;
    }

    public Long getCityId()
    {
        return cityId;
    }
    public void setCityName(String cityName)
    {
        this.cityName = cityName;
    }

    public String getCityName()
    {
        return cityName;
    }
    public void setAreaId(Long areaId)
    {
        this.areaId = areaId;
    }

    public Long getAreaId()
    {
        return areaId;
    }
    public void setAreaName(String areaName)
    {
        this.areaName = areaName;
    }

    public String getAreaName()
    {
        return areaName;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setResId(String resId)
    {
        this.resId = resId;
    }

    public String getResId()
    {
        return resId;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceId", getDeviceId())
            .append("companyId", getCompanyId())
            .append("companyName", getCompanyName())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("baseStationId", getBaseStationId())
            .append("baseStationName", getBaseStationName())
            .append("serialNumber", getSerialNumber())
            .append("deviceType", getDeviceType())
            .append("deviceStatus", getDeviceStatus())
            .append("deviceOpen", getDeviceOpen())
            .append("deviceDefence", getDeviceDefence())
            .append("hornContent", getHornContent())
            .append("boxUse", getBoxUse())
            .append("boxVoice", getBoxVoice())
            .append("boxTrigger", getBoxTrigger())
            .append("batteryWork", getBatteryWork())
            .append("batteryUseType", getBatteryUseType())
            .append("batteryUse", getBatteryUse())
            .append("provinceId", getProvinceId())
            .append("provinceName", getProvinceName())
            .append("cityId", getCityId())
            .append("cityName", getCityName())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("address", getAddress())
            .append("resId", getResId())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
